#HydroR Webinar Script 1
#Show some simple capabilities of HydroR and demonstrate the interaction between 
#HydroDesktop and R

#Get the turbidity data series
data0 <- getDataSeries(connectionString="C:/temp/HydroRWebinar/HydroRWebinar.sqlite",
	seriesID=2,
	SQLite=TRUE,
	startDate= "2006-10-18",
	endDate="2009-01-16")

#Get information about the site at which the data series was measured
siteInfo <- paste(data0$Site$SiteCode, data0$Site$SiteName, sep=", ",collapse=NULL)
siteInfo
#Get information about the variable that was measured
variableInfo <- paste(data0$Variable$VariableCode, data0$Variable$VariableName, data0$VariableUnits$UnitsName, sep=", ",collapse=NULL)
variableInfo

#Show the structure of the DataValues data frame
str(data0$DataValues)

#Get some simple descriptive statistics for the data series
summary(data0$DataValues$DataValue)

#Create a time series plot of the data
#First use the HydroR plotDataSeries function
plotDataSeries(data0,"Turbidity, NTU")
#Show the equivalent using the R plot function
plot(data0$DataValues$LocalDateTime,data0$DataValues$DataValue,type="p",xlab="Date",ylab="Turbidity, NTU")

#Create other plot types
hist(data0$DataValues$DataValue, main="Histogram of Turbidity", xlab="Turbidity, NTU")
boxplot(data0$DataValues$DataValue, ylab="Turbidity, NTU")

#Example of getting data with an SQL String 
sites <- getDataWithSQL(connectionString="C:/temp/HydroRWebinar/HydroRWebinar.sqlite", SQLString="SELECT * FROM Sites")
#Show the resulting data frame
str(sites)
